org.apache.hadoop.util

## Class IntrusiveCollection.IntrusiveIterator

- java.lang.Object
- - org.apache.hadoop.util.IntrusiveCollection.IntrusiveIterator

- All Implemented Interfaces:
    Iterator<E>
  Enclosing class:
    org.apache.hadoop.util.IntrusiveCollection<E extends org.apache.hadoop.util.IntrusiveCollection.Element>

      public class IntrusiveCollection.IntrusiveIterator
      extends Object
      implements Iterator<E>

  An iterator over the intrusive collection. Currently, you can remove elements from the list using #{IntrusiveIterator#remove()}, but modifying the collection in other ways during the iteration is not supported.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `E` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<E extends org.apache.hadoop.util.IntrusiveCollection.Element>`

    - #### next

          public E next()

      Specified by:
        `next` in interface `Iterator<E extends org.apache.hadoop.util.IntrusiveCollection.Element>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<E extends org.apache.hadoop.util.IntrusiveCollection.Element>`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.